$: << File.dirname(__FILE__)
require "connect"
require "logger"

#ActiveRecord::Base.logger = Logger.new(STDOUT)

require "rubygems"
require_gem "activerecord"

class Article < ActiveRecord::Base
  has_and_belongs_to_many :users
  # ...
end

class User < ActiveRecord::Base
  has_and_belongs_to_many :articles
  # ...
end

a = Article.new
a.title = "Mon article"

u = User.new
u.name = "pragdave"

#u.articles.push_with_attributes(a, :when_read => Time.now)
u.articles << a

u.save

